<?php
session_start();
include("cls_conexion.php");
$CNN=new ClsMySQL();
include("conexion23.php");
include("xls_02_fun.php");
//++++
$IdUsu=vbval(V($_SESSION['SYS_USER_ID']));
//++
$carpeta = "xml_tmp/";
if (!file_exists($carpeta)) {
    mkdir($carpeta, 0777, true);
}
$HW=V($_SESSION['SYS_HW']);
$LOTE=trim(V($_GET['LOTE']));
$CX=0;
$OK=0;
$ER=0;
$MODO=1;
foreach ($_FILES['archivos']['tmp_name'] as $key => $tmp_name) {
	$CX++;
    $nombre = $_FILES['archivos']['name'][$key];
    $tmp = $_FILES['archivos']['tmp_name'][$key];
	$tmp_xml=$IdUsu."_".time()."_".$CX.".xml";
    $destino = $carpeta . $tmp_xml;
    if(move_uploaded_file($tmp, $destino)){
		$xml_full=$destino;
		$xml_nom_ori=$nombre;
		$xml_nom_tmp=$tmp_xml;
		if(XML_OK($xml_full)){
			//$ret=XML_PROCESAR($xml_full,$HW,$IdUsu,$xml_nom_ori,$xml_nom_tmp,$MODO,$LOTE);	
			$ret=XML_PROCESAR($xml_full,$HW,$IdUsu,$xml_nom_ori,$LOTE,$MODO);	
			if($ret=="OK"){
				$OK++;//77
			}
		}
    }else{
        $ER++;
    }
}
//
if($OK>0){
	$XZY=XML_LOTE_GEN();
	if(strcmp($LOTE,$XYZ)==0){
		XML_LOTE_ACT();
	}
}
//
echo "|MS|".$OK."|".$ER."|";
?>